clear

set more off

************************
*** list j
************************


foreach y of numlist 2004/2011 {

local datayear="Data\SNL\"+"`y'"

insheet using `datayear'j.csv

drop if v4=="PR"

*** drop varname-row

gen count=_n

drop if count==1

drop count

*** destring variables

foreach var of varlist v5-v132 {

destring `var', replace force ignore (",") 

}


*** collapse variables

foreach num of numlist 5/36 {

gen var`num'=.

local nr=5+((`num')-5)*4

replace var`num'=v`nr' if v4=="OR"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="PA"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="RI"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="SC"


}

drop v5-v132

save `datayear'j.dta, replace


clear

}

************************
*** list k
************************


foreach y of numlist 2004/2011 {

local datayear="Data\SNL\"+"`y'"

insheet using `datayear'k.csv



*** drop varname-row

gen count=_n

drop if count==1

drop count

*** destring variables

foreach var of varlist v5-v132 {

destring `var', replace force ignore (",") 

}


*** collapse variables

foreach num of numlist 5/36 {

gen var`num'=.

local nr=5+((`num')-5)*4

replace var`num'=v`nr' if v4=="SD"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="TN"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="TX"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="UT"


}

drop v5-v132

save `datayear'k.dta, replace


clear

}


************************
*** list l
************************


foreach y of numlist 2004/2011 {

local datayear="Data\SNL\"+"`y'"

insheet using `datayear'l.csv



*** drop varname-row

gen count=_n

drop if count==1

drop count

*** destring variables

foreach var of varlist v5-v132 {

destring `var', replace force ignore (",") 

}


*** collapse variables

foreach num of numlist 5/36 {

gen var`num'=.

local nr=5+((`num')-5)*4

replace var`num'=v`nr' if v4=="VA"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="VT"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="WA"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="WI"


}

drop v5-v132

save `datayear'l.dta, replace


clear

}

************************
*** list m
************************


foreach y of numlist 2004/2011 {

local datayear="Data\SNL\"+"`y'"

insheet using `datayear'm.csv



*** drop varname-row

gen count=_n

drop if count==1

drop count

*** destring variables

foreach var of varlist v5-v68 {

destring `var', replace force ignore (",") 

}


*** collapse variables

foreach num of numlist 5/36 {

gen var`num'=.

local nr=5+((`num')-5)*2

replace var`num'=v`nr' if v4=="WV"

local nr=`nr'+1

replace var`num'=v`nr' if v4=="WY"



}

drop v5-v68

save `datayear'm.dta, replace


clear

}


